phpCOIN Articles Module topic_id Parameter SQL Injection

2005-03-01T16:15:28
ID OSVDB:15045
Type osvdb
Reporter Lostmon Lords(Lostmon@gmail.com)
Modified 2005-03-01T16:15:28

Description

Vulnerability Description

phpCOIN contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the 'topic_id' variable in the Articles module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Solution Description

Upgrade to version 1.2.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

Short Description

phpCOIN contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the 'topic_id' variable in the Articles module is not verified properly and will allow an attacker to inject or manipulate SQL queries.

Manual Testing Notes

http://[target]/phpcoin/mod.php?mod=articles&mode=list&dtopic_id=1%20or%201=1

References:

Vendor URL: http://www.phpcoin.com/ Security Tracker: 1013329 Secunia Advisory ID:14439 Related OSVDB ID: 14281 Related OSVDB ID: 14279 Related OSVDB ID: 15046 Related OSVDB ID: 15043 Related OSVDB ID: 15044 Related OSVDB ID: 15048 Related OSVDB ID: 14280 Related OSVDB ID: 15047 Other Advisory URL: http://lostmon.blogspot.com/2005/03/phpcoin-posible-sql-injection-comands.html ISS X-Force ID: 19571 CVE-2005-0669 Bugtraq ID: 12686